Loading...
Searching...
No Matches
pcl::Intensity8u Struct Reference
Module common

A point structure representing the grayscale intensity in single-channel images. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::Intensity8u:

## Public Member Functions

constexpr | Intensity8u (const _Intensity8u &p)
constexpr | Intensity8u (std::uint8_t _intensity=0)

## Friends

std::ostream & | operator<< (std::ostream &os, const Intensity8u &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_Intensity8u
| PCL_ADD_INTENSITY_8U

## Detailed Description

A point structure representing the grayscale intensity in single-channel images.

Intensity is represented as a std::uint8_t value.

Definition at line 403 of file point_types.hpp.

## Constructor & Destructor Documentation

## Intensity8u() [1/2]

constexpr pcl::Intensity8u::Intensity8u | ( | const _Intensity8u & | p | ) |

inline constexpr

Definition at line 405 of file point_types.hpp.

## Intensity8u() [2/2]

constexpr pcl::Intensity8u::Intensity8u | ( | std::uint8_t | _intensity = `0` | ) |

inline constexpr

Definition at line 407 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Intensity8u & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp